Difference between revisions of "MediaWiki:Mobile.css"

From University Innovation Fellows
Jump to navigation Jump to search
 
(35 intermediate revisions by the same user not shown)
Line 1: Line 1:
 
/* CSS placed here will affect users of the mobile site */
 
/* CSS placed here will affect users of the mobile site */
._rstring .topbanner {   margin-left: 0px !important;}
+
div, span, h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, abbr, acronym, address, big, cite, code, del, ins, em, img, small, strike, strong, sub, sup, tt, b, u, i, center, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, input, button, select, audio, video {
 +
    font-size: 98%;
 +
}
 +
 
 +
._rstring .header {
 +
    display: block;
 +
    width: 100%;
 +
    border-spacing: 0;
 +
    height: 3em;
 +
    white-space: normal;
 +
    border-top: 1px solid #c8ccd1;
 +
    margin-top: 0;
 +
    position: relative;
 +
    padding-top: 10px;
 +
}
 +
 
 +
._rstring .pre-content h1  {
 +
    font-size: 1em;
 +
}
 +
/*
 +
._rstring .header > div:not('.search-box,.branding-box') {
 +
    width: 2.5em;
 +
    position: static;
 +
    vertical-align: middle;
 +
    display: inline-block;
 +
}
 +
*/
 +
._rstring .topbanner {
 +
    margin-left: 0px !important;
 +
    max-width: none !important;
 +
    min-width: unset !important;
 +
}
 +
._rstring .topbanner p span{    font-size: 2em !important;}
 +
._rstring .topbanner p span span{    font-size: .7em !important;}
 +
 
  
 
._rstring .content table {
 
._rstring .content table {
Line 22: Line 56:
 
     width: auto !important;
 
     width: auto !important;
 
     display: block !important;
 
     display: block !important;
    padding: 7px !important;
+
    padding: 7px !important;
      min-height: 129px !important;
+
    min-height: 141px !important;
      margin: 0 !important;
+
    margin: 2px !important;
 +
    max-width: unset !important;
 
}
 
}
 +
 +
._rstring .mw-parser-output .pagination a {
 +
    color: indianred;
 +
    padding: 4px 6px 5px;
 +
    margin-right: -5px;
 +
    text-decoration: none;
 +
    margin: 2px;
 +
    display: inline-block;
 +
    font-size: 13px;
 +
    border-radius: 3px;
 +
}
 +
 +
/* For Mission Page*/
 +
 +
._rstring ._mission > div:nth-child(1) {  font-size: 24px !important; }
 +
._rstring ._mission > div:nth-child(4) {  margin:0 auto !important; }
 +
._rstring ._mission  h1 {font-size: 18px !important;  }
 +
._rstring ._mission .Content-A div:nth-child(2) {  margin-left: 0px !important; }
 +
._rstring ._mission  iframe {    width: 100%;  height: auto; min-height:300px;}
 +
 +
 +
._rstring ._mission > div:nth-child(5) { margin:0 auto !important;}
 +
 +
._rstring ._mission > p:first-child br {display:none;}
 +
._rstring ._mission > div:first-child  {font-size:20px !important;}
 +
._rstring ._mission > div center b {font-size:20px !important;}
 +
 +
._rstring ._mission dl {    margin-left: 0; }
 +
 +
._rstring ._mainpage  {  }
 +
._rstring ._mainpage #mainpage-innertext { margin:0 auto !important;}
 +
._rstring ._mainpage #mainpage-innertext span { font-size: 1.2em !important;}
 +
._rstring ._mainpage #mainpage-outertext { margin:0 auto !important;}
 +
._rstring ._mainpage #mainpage-section-mb { margin:0 auto !important;}

Latest revision as of 00:10, 14 August 2020

/* CSS placed here will affect users of the mobile site */
div, span, h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, abbr, acronym, address, big, cite, code, del, ins, em, img, small, strike, strong, sub, sup, tt, b, u, i, center, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, input, button, select, audio, video { 
    font-size: 98%; 
}

._rstring .header {
    display: block;
    width: 100%;
    border-spacing: 0;
    height: 3em;
    white-space: normal;
    border-top: 1px solid #c8ccd1;
    margin-top: 0;
    position: relative;
    padding-top: 10px;
}

._rstring .pre-content h1  { 
    font-size: 1em; 
}
/*
._rstring .header > div:not('.search-box,.branding-box') {
    width: 2.5em;
    position: static;
    vertical-align: middle;
    display: inline-block;
}
*/
._rstring .topbanner {
    margin-left: 0px !important; 
    max-width: none !important;
    min-width: unset !important;
}
._rstring .topbanner p span{    font-size: 2em !important;}
._rstring .topbanner p span span{    font-size: .7em !important;}


._rstring .content table {
    margin: 0 0;
    width: 100%; 
}

._rstring  #mf-pagebanner > p{ margin:0;}


._rstring #mf-pagebanner center table{width: 100%;}
._rstring #mf-pagebanner center table tr td>div{    width: auto !important;     display: block !important;}

._rstring ._responsive big{    font-size: large;   line-height: unset;}

._rstring ._responsive table tr td { font-size: 12px; }
._rstring ._responsive table tr td a{ font-size: 12px; }
._rstring ._responsive table tr td a big{ font-size: 12px; }

._rstring #mf-pagebanner center table tr td>div {
    width: auto !important;
    display: block !important;
    padding: 7px !important;
    min-height: 141px !important;
    margin: 2px !important;
    max-width: unset !important;
}

._rstring .mw-parser-output .pagination a {
    color: indianred;
    padding: 4px 6px 5px;
    margin-right: -5px;
    text-decoration: none;
    margin: 2px;
    display: inline-block;
    font-size: 13px;
    border-radius: 3px;
}

/* For Mission Page*/

._rstring ._mission > div:nth-child(1) {  font-size: 24px !important; }
._rstring ._mission > div:nth-child(4) {  margin:0 auto !important; }
._rstring ._mission  h1 {font-size: 18px !important;  }
._rstring ._mission .Content-A div:nth-child(2) {  margin-left: 0px !important; }
._rstring ._mission  iframe {    width: 100%;  height: auto; min-height:300px;}


._rstring ._mission > div:nth-child(5) { margin:0 auto !important;}

._rstring ._mission > p:first-child br {display:none;}
._rstring ._mission > div:first-child   {font-size:20px !important;}
._rstring ._mission > div center b {font-size:20px !important;}

._rstring ._mission dl {    margin-left: 0; }

._rstring ._mainpage   {   }
._rstring ._mainpage #mainpage-innertext { margin:0 auto !important;}
._rstring ._mainpage #mainpage-innertext span { font-size: 1.2em !important;}
._rstring ._mainpage #mainpage-outertext { margin:0 auto !important;}
._rstring ._mainpage #mainpage-section-mb { margin:0 auto !important;}